gdjs.Untitled_32sceneCode = {};
gdjs.Untitled_32sceneCode.GDNewSpriteObjects1= [];
gdjs.Untitled_32sceneCode.GDNewSpriteObjects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite2Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite2Objects2= [];
gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1= [];
gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite3Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite3Objects2= [];
gdjs.Untitled_32sceneCode.GDTankObjects1= [];
gdjs.Untitled_32sceneCode.GDTankObjects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite4Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite4Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite5Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite5Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite6Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite6Objects2= [];
gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1= [];
gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects2= [];
gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1= [];
gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects2= [];
gdjs.Untitled_32sceneCode.GDTruckObjects1= [];
gdjs.Untitled_32sceneCode.GDTruckObjects2= [];
gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1= [];
gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite7Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite7Objects2= [];
gdjs.Untitled_32sceneCode.GDNewTiledSpriteObjects1= [];
gdjs.Untitled_32sceneCode.GDNewTiledSpriteObjects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite8Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite8Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite9Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite9Objects2= [];
gdjs.Untitled_32sceneCode.GDNewTextObjects1= [];
gdjs.Untitled_32sceneCode.GDNewTextObjects2= [];
gdjs.Untitled_32sceneCode.GDNewText2Objects1= [];
gdjs.Untitled_32sceneCode.GDNewText2Objects2= [];
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1= [];
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects2= [];


gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects1Objects = Hashtable.newFrom({"NewSprite3": gdjs.Untitled_32sceneCode.GDNewSprite3Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite4Objects1Objects = Hashtable.newFrom({"NewSprite4": gdjs.Untitled_32sceneCode.GDNewSprite4Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite7Objects1Objects = Hashtable.newFrom({"NewSprite7": gdjs.Untitled_32sceneCode.GDNewSprite7Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite8Objects1Objects = Hashtable.newFrom({"NewSprite8": gdjs.Untitled_32sceneCode.GDNewSprite8Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite9Objects1Objects = Hashtable.newFrom({"NewSprite9": gdjs.Untitled_32sceneCode.GDNewSprite9Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite7Objects1Objects = Hashtable.newFrom({"NewSprite7": gdjs.Untitled_32sceneCode.GDNewSprite7Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDTankObjects1Objects = Hashtable.newFrom({"Tank": gdjs.Untitled_32sceneCode.GDTankObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSportsCarGreyObjects1Objects = Hashtable.newFrom({"SportsCarGrey": gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1Objects = Hashtable.newFrom({"MuscleCarBlue": gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1Objects = Hashtable.newFrom({"FuelSemiTruck": gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1Objects = Hashtable.newFrom({"Truck": gdjs.Untitled_32sceneCode.GDTruckObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects = Hashtable.newFrom({"MuscleCarYellow": gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSportsCarGreyObjects1Objects = Hashtable.newFrom({"SportsCarGrey": gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects = Hashtable.newFrom({"FuelSemiTruck": gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1, "MuscleCarBlue": gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1, "Truck": gdjs.Untitled_32sceneCode.GDTruckObjects1, "MuscleCarYellow": gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects = Hashtable.newFrom({"FuelSemiTruck": gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1, "MuscleCarBlue": gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1, "Truck": gdjs.Untitled_32sceneCode.GDTruckObjects1, "MuscleCarYellow": gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDTankObjects1Objects = Hashtable.newFrom({"Tank": gdjs.Untitled_32sceneCode.GDTankObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects = Hashtable.newFrom({"FuelSemiTruck": gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1, "MuscleCarBlue": gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1, "Truck": gdjs.Untitled_32sceneCode.GDTruckObjects1, "MuscleCarYellow": gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects = Hashtable.newFrom({"FuelSemiTruck": gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1, "MuscleCarBlue": gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1, "Truck": gdjs.Untitled_32sceneCode.GDTruckObjects1, "MuscleCarYellow": gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects = Hashtable.newFrom({"FuelSemiTruck": gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1, "MuscleCarBlue": gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1, "Truck": gdjs.Untitled_32sceneCode.GDTruckObjects1, "MuscleCarYellow": gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSportsCarGreyObjects1Objects = Hashtable.newFrom({"SportsCarGrey": gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite8Objects1Objects = Hashtable.newFrom({"NewSprite8": gdjs.Untitled_32sceneCode.GDNewSprite8Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSportsCarGreyObjects1Objects = Hashtable.newFrom({"SportsCarGrey": gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite9Objects1Objects = Hashtable.newFrom({"NewSprite9": gdjs.Untitled_32sceneCode.GDNewSprite9Objects1});
gdjs.Untitled_32sceneCode.eventsList0 = function(runtimeScene) {

{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "car");
}{runtimeScene.getGame().getVariables().get("счет").setNumber(0);
}}

}


{


let isConditionTrue_0 = false;
{
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
{gdjs.evtTools.camera.centerCamera(runtimeScene, (gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length !== 0 ? gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[0] : null), true, "", 0);
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("Tank"), gdjs.Untitled_32sceneCode.GDTankObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDTankObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDTankObjects1[i].getBehavior("Pathfinding").getSpeed() <= 800 ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDTankObjects1[k] = gdjs.Untitled_32sceneCode.GDTankObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDTankObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
/* Reuse gdjs.Untitled_32sceneCode.GDTankObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDTankObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDTankObjects1[i].getBehavior("Pathfinding").moveTo(runtimeScene, (( gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[0].getPointY("")));
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("NewSprite4"), gdjs.Untitled_32sceneCode.GDNewSprite4Objects1);
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
{isConditionTrue_0 = ((( gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[0].getPointX("")) >= (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointX("")));
}
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDNewSprite4Objects1 */
gdjs.Untitled_32sceneCode.GDNewSprite3Objects1.length = 0;

gdjs.Untitled_32sceneCode.GDNewSprite7Objects1.length = 0;

gdjs.Untitled_32sceneCode.GDNewSprite8Objects1.length = 0;

gdjs.Untitled_32sceneCode.GDNewSprite9Objects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects1Objects, (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointX("")) + 736, (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite3Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite3Objects1[i].setSize(1280, 416);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite3Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite3Objects1[i].setZOrder(0);
}
}{runtimeScene.getGame().getVariables().get("xx").setNumber((( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointX("")) + 1280);
}{runtimeScene.getGame().getVariables().get("yy").setNumber((( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointY("")));
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[i].deleteFromScene(runtimeScene);
}
}{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite4Objects1Objects, gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("xx")), gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("yy")), "");
}{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite7Objects1Objects, (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointY("")) - 544, "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite7Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite7Objects1[i].setZOrder(-(10));
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite7Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite7Objects1[i].setSize(1280, 2000);
}
}{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite8Objects1Objects, (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointX("")) + 736, (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointY("")) - 96, "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite8Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite8Objects1[i].setSize(1400, 64);
}
}{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite9Objects1Objects, (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointX("")) + 736, (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointY("")) + 448, "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite9Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite9Objects1[i].setSize(1400, 64);
}
}{runtimeScene.getGame().getVariables().get("счет").add(10);
}{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite7Objects1Objects, (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointX("")) + 1280, (( gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[0].getPointY("")) - 544, "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite7Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite7Objects1[i].setZOrder(-(10));
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite7Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite7Objects1[i].setSize(1280, 2000);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
gdjs.copyArray(runtimeScene.getObjects("Tank"), gdjs.Untitled_32sceneCode.GDTankObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDTankObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSportsCarGreyObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Untitled scene");
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.getTimerElapsedTimeInSecondsOrNaN(runtimeScene, "car") > 2;
if (isConditionTrue_0) {
{runtimeScene.getGame().getVariables().get("dd").setNumber(gdjs.randomInRange(1, 4));
}{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "car");
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("dd")) == 1;
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(8653164);
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1Objects, (( gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[0].getPointX("")) + 1280, gdjs.randomInRange(224, 460), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1[i].setSize(300, 128);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1[i].addForce(400, 0, 1);
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("dd")) == 2;
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(8395764);
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1Objects, (( gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[0].getPointX("")) + 1280, gdjs.randomInRange(224, 460), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1[i].setSize(457, 128);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1[i].addForce(400, 0, 1);
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("dd")) == 3;
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(8395332);
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
gdjs.Untitled_32sceneCode.GDTruckObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1Objects, (( gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[0].getPointX("")) + 1280, gdjs.randomInRange(224, 460), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDTruckObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDTruckObjects1[i].setSize(300, 128);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDTruckObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDTruckObjects1[i].addForce(400, 0, 1);
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("dd")) == 4;
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(8790428);
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects, (( gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[0].getPointX("")) + 1280, gdjs.randomInRange(224, 460), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1[i].setSize(300, 128);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1[i].addForce(400, 0, 1);
}
}}

}


{



}


{



}


{



}


{



}


{


let isConditionTrue_0 = false;
{
}

}


{

gdjs.copyArray(runtimeScene.getObjects("FuelSemiTruck"), gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1);
gdjs.copyArray(runtimeScene.getObjects("MuscleCarBlue"), gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1);
gdjs.copyArray(runtimeScene.getObjects("MuscleCarYellow"), gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1);
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
gdjs.copyArray(runtimeScene.getObjects("Truck"), gdjs.Untitled_32sceneCode.GDTruckObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSportsCarGreyObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDTruckObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].separateFromObjectsList(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects, false);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FuelSemiTruck"), gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1);
gdjs.copyArray(runtimeScene.getObjects("MuscleCarBlue"), gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1);
gdjs.copyArray(runtimeScene.getObjects("MuscleCarYellow"), gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1);
gdjs.copyArray(runtimeScene.getObjects("Tank"), gdjs.Untitled_32sceneCode.GDTankObjects1);
gdjs.copyArray(runtimeScene.getObjects("Truck"), gdjs.Untitled_32sceneCode.GDTruckObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDTankObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDTruckObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1[i].deleteFromScene(runtimeScene);
}
for(var i = 0, len = gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1[i].deleteFromScene(runtimeScene);
}
for(var i = 0, len = gdjs.Untitled_32sceneCode.GDTruckObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDTruckObjects1[i].deleteFromScene(runtimeScene);
}
for(var i = 0, len = gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1[i].deleteFromScene(runtimeScene);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FuelSemiTruck"), gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1);
gdjs.copyArray(runtimeScene.getObjects("MuscleCarBlue"), gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1);
gdjs.copyArray(runtimeScene.getObjects("MuscleCarYellow"), gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1);
gdjs.copyArray(runtimeScene.getObjects("Truck"), gdjs.Untitled_32sceneCode.GDTruckObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDFuelSemiTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarBlueObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDTruckObjects1ObjectsGDgdjs_46Untitled_9532sceneCode_46GDMuscleCarYellowObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDTruckObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1[i].deleteFromScene(runtimeScene);
}
for(var i = 0, len = gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1[i].deleteFromScene(runtimeScene);
}
for(var i = 0, len = gdjs.Untitled_32sceneCode.GDTruckObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDTruckObjects1[i].deleteFromScene(runtimeScene);
}
for(var i = 0, len = gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1[i].deleteFromScene(runtimeScene);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("NewSprite8"), gdjs.Untitled_32sceneCode.GDNewSprite8Objects1);
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSportsCarGreyObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite8Objects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].deleteFromScene(runtimeScene);
}
}{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Untitled scene");
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("NewSprite9"), gdjs.Untitled_32sceneCode.GDNewSprite9Objects1);
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSportsCarGreyObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite9Objects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].deleteFromScene(runtimeScene);
}
}{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Untitled scene");
}}

}


{


let isConditionTrue_0 = false;
{
gdjs.copyArray(runtimeScene.getObjects("NewText2"), gdjs.Untitled_32sceneCode.GDNewText2Objects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewText2Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewText2Objects1[i].setString(gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("счет"))) + " метров");
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatDarkJoystick"), gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i].IsDirectionPushed8Way("Up", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateUpKey();
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatDarkJoystick"), gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i].IsDirectionPushed8Way("Down", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateDownKey();
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatDarkJoystick"), gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i].IsDirectionPushed8Way("Left", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateLeftKey();
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatDarkJoystick"), gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i].IsDirectionPushed8Way("Right", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateRightKey();
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatDarkJoystick"), gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i].IsDirectionPushed8Way("UpLeft", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateUpKey();
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateLeftKey();
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatDarkJoystick"), gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i].IsDirectionPushed8Way("UpRight", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateUpKey();
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateRightKey();
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatDarkJoystick"), gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i].IsDirectionPushed8Way("DownLeft", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateLeftKey();
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateDownKey();
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatDarkJoystick"), gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i].IsDirectionPushed8Way("DownRight", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("SportsCarGrey"), gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateDownKey();
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1[i].getBehavior("TopDownMovement").simulateRightKey();
}
}}

}


};

gdjs.Untitled_32sceneCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.Untitled_32sceneCode.GDNewSpriteObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSpriteObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite2Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite2Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDSportsCarGreyObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite3Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite3Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDTankObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDTankObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite4Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite5Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite5Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite6Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite6Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDFuelSemiTruckObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDMuscleCarBlueObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDTruckObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDTruckObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDMuscleCarYellowObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite7Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite7Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewTiledSpriteObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewTiledSpriteObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite8Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite8Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite9Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite9Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewTextObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewTextObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewText2Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewText2Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDFlatDarkJoystickObjects2.length = 0;

gdjs.Untitled_32sceneCode.eventsList0(runtimeScene);

return;

}

gdjs['Untitled_32sceneCode'] = gdjs.Untitled_32sceneCode;
